package hemomancer.variables;

import basemod.abstracts.DynamicVariable;
import com.megacrit.cardcrawl.cards.AbstractCard;
import hemomancer.cards.AbstractHemomancerCard;

import static hemomancer.HemomancerMod.makeID;

public class DefaultSecondMagicNumber extends DynamicVariable {
    
    @Override
    public String key() {
        return makeID("SecondMagic");
    }
    
    @Override
    public boolean isModified(AbstractCard card) {
        return ((AbstractHemomancerCard) card).isDefaultSecondMagicNumberModified;
    }
    
    @Override
    public int value(AbstractCard card) {
        return ((AbstractHemomancerCard) card).defaultSecondMagicNumber;
    }
    
    @Override
    public int baseValue(AbstractCard card) {
        return ((AbstractHemomancerCard) card).defaultBaseSecondMagicNumber;
    }
    
    @Override
    public boolean upgraded(AbstractCard card) {
        return ((AbstractHemomancerCard) card).upgradedDefaultSecondMagicNumber;
    }
}